
Automated Build Generator - Bug #2708
Invalidate analysis cache for new generator version
01/27/2017 05:45 PM - J. Moringen

Status: Resolved Start date: 01/27/2017
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.12
Description

The analysis cache should be invalidate or at least not used when it was written by a different generator version.

Associated revisions
Revision 29df3ee7 - 02/23/2017 07:18 PM - J. Moringen

Versioned analysis cache in src/analysis/git.lisp

fixes #2708

This resolves the problem of changes in the generator's analysis code
not going into effect because of cached results produced by old
analysis code.

    -  src/analysis/variables.lisp: new file; contains variables used in
  the analysis module; currently only `*cache-version*'

    -  src/analysis/git.lisp (header): updated copyright
  (analyze-git-branch/cached): compare stored cache version against
  current cache version and potentially discard stored data
  accordingly
  (analyze-git-branch/cache): store data and cache version

    -  jenkins.project.asd (system jenkins.project): added file
  src/analysis/variables.lisp

History
#1 - 02/23/2017 11:23 AM - J. Moringen
- Status changed from New to In Progress
- Target version changed from 0.10 to 0.12
- % Done changed from 0 to 50

#2 - 02/23/2017 08:10 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:29df3ee76b2943f5f01ef318e0490baae4f78e7c.
